% Example 4.5

% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka

% Load oronsay data 
load oronsay
% Perform the ICA. 
% Note that the matrix must be transposed.
X = oronsay';
icasig = fastica(X);

% Transpose the results to match 
% observations as rows.
Xica = icasig';
% Look at the last two components.
% Get scatterplot of them.
ind0 = find(midden==0);
ind1 = find(midden==1);
ind2 = find(midden==2);
plot(Xica(ind0,11),Xica(ind0,12),'r.')
hold on
plot(Xica(ind1,11),Xica(ind1,12),'g+')
plot(Xica(ind2,11),Xica(ind2,12),'b*')
hold off
legend('Class 0','Class 1', 'Class 2')

title('Independent Components')
xlabel('Component 11')
ylabel('Component 12')



