% Example 5.3

% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka

%
% This example uses code from the following website:
% http://www.stat.washington.edu/spectral/
% The authors are Deepak Verma and Marina Meila, December 2003.

% We first generate some bivariate normal data. 
mu1 = [2 2];
cov1 = eye(2);
mu2 = [-1 -1];
cov2 = [1 .9; .9 1];
X1 = mvnrnd(mu1,cov1,100);
X2 = mvnrnd(mu2,cov2,100);
% Plot the data showing the known clusters.
figure
plot(X1(:,1),X1(:,2),'.',...
     X2(:,1),X2(:,2),'+');
 

% Put the data into one matrix.
X = [X1; X2];
% Get the affinity matrix using a sigma of 1.
A = AffinitySimilarityMatrix(X',1);
% Get the cluster ID's according the the spectral
% clustering according to Ng, Jordan and Weiss and
% also using k-means.
cids = cluster_spectral_general(A,2,...
    'njw_gen','njw_kmeans');

% Plot the data according to the cluster IDs.
% First plot group 1 as x's.
figure
ind1 = find(cids==1);
plot(X(ind1,1),X(ind1,2),'x');
hold on
% Now plot group 2 as stars.
ind2 = find(cids==2);
plot(X(ind2,1),X(ind2,2),'*')















