% Example 6.8

% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka

% Uses the results from the previous example.

% To extract model 9, 3 clusters, we use
% the following:
allmodel(9).clus(3)

% Extract the data:
pies = allmodel(9).clus(3).pies;
mus = allmodel(9).clus(3).mus;
vars = allmodel(9).clus(3).vars;

% The mixclass function returns group labels
% as well as a measure of the uncertainty in 
% classificaiton.
[clabs3,unc] = mixclass(data,pies,mus,vars);

% As before, we can use the silhouette procedure
% to assess the cluster results.
[S, H] = silhouette(data,clabs3);
title('Iris Data - Model-Based Clustering')
